Subject: Re: bug#70616: 29.3; imenu in Elisp buffers omits keymap variables defined by defvar-keymap
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 04 May 2024 14:15:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Sat, 27 Apr 2024 17:21:42 -0400
> 
> 1. emacs -Q
> 2. Visit some Elisp file that uses defvar-keymap, e.g., C-x C-f ~/src/emacs/trunk/lisp/button.el
> 3. M-x imenu
> 
> button-map is defined in this file, using the defvar-keymap macro, but
> it doesn't show up in the imenu index.  Other things defined in this
> file do show up.  I think this is just a matter of updating
> lisp-imenu-generic-expression, but I'm not familiar enough to say for
> certain.

Thanks.  This seems to be already fixed on the master branch, so I
think this bug is already fixed there, and I'm therefore closing it.